package com.aitrainer.api.service

import com.aitrainer.api.model.Exercises
import org.springframework.data.jpa.repository.Query
import org.springframework.data.repository.query.Param

interface ExerciseService {
    @Query("FROM exercises WHERE customer_id = :customerId ORDER BY dateAdd DESC")
    fun findAllByCustomerId( @Param("customerId") customerId: Long? ): List<Exercises>
}